#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/telepathy -DOFONO_ON_RING=true

override_dh_auto_test:
	# Tests don't seem to work yet with ofono-on-ring
	# FIXME
	#CTEST_OUTPUT_ON_FAILURE=1 dh_auto_test

%:
	dh $@ --buildsystem=cmake+ninja
